Subject: Re: [patch 2.6.24-git] net/enc28j60: oops fix, low power mode

From: Claudio Lanconelli <[email-masked]>
Date: Thu, 14 Feb 2008 11:28:29 +0100

David Brownell wrote:
> On Monday 11 February 2008, Claudio Lanconelli wrote:
>   
>> I have tried your latest patch. Only after the following change it
>> works fine (no more rx errors during ifconfig up).
>>     
>
> Hmm, what chip rev do you have?  Different errata and all.
> ISTR mine is rev4; so, not the most current, but not the
> oldest version either.
>   
I use the same revision.

>> I added enc28j60_lowpower(false) just before enc28j60_hw_init()
>>     
>
> Hmm, I'd have expected it would go best *before* that, but
> what you include below shows it going *after* ...
>
> If there's some problem where reset doesn't work correctly
> in low power mode, who knows what else would need manual
> resetting.
>
>   
I don't know why it needs low power resume before reset.
I read in the errata tath clkready bit after reset doesn't work reliably.
May be something related to this, but undocumented.

> Better yet, since I can't reproduce the problem, why don't
> you just update my latest patch with the relevant version
> of this tweak, and then forward it as "From: " me and with
> both our signoffs.  That's the usual way to cope with this
> type of tweaking.  (Not all updates to your driver should
> need your signoff, but then most patches shouldn't need
> very many iterations either.)
>   
Done